### Signal

# Qmi ClientAtr::received

since: 1.34

#### Declaration

    void
    received (
      QmiClientAtr* self,
      QmiIndicationAtrReceivedOutput* output,
      gpointer user_data
    )

#### Description [src]

The ::received signal gets emitted when a ‘Received‘ indication is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.34

#### Parameters

`output`

  Type: `QmiIndicationAtrReceivedOutput`

  A `QmiIndicationAtrReceivedOutput`.

  The data is owned by the caller of the function.